Skip to Content
inclamoDocs

Search Contacts

GET
/api/v1/accounts/{account_id}/contacts/search

Search the resolved contacts using a search key, currently supports email search (Page size = 15). Resolved contacts are the ones with a value for identifier, email or phone number

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Query Parameters

q?string

Search using contact name, identifier, email or phone number

sort?string

The attribute by which list should be sorted

Value in"name""email""phone_number""last_activity_at""-name""-email""-phone_number""-last_activity_at"
page?integer

The page parameter

Default1

Response Body

Success

application/json
  1. response
meta?
payload?array<>

List of contacts

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/contacts/search'
Example Response
{  "meta": {    "count": 0,    "current_page": "string"  },  "payload": [    {      "additional_attributes": {        "city": "string",        "country": "string",        "country_code": "string",        "created_at_ip": "string"      },      "availability_status": "online",      "email": "string",      "id": 0,      "name": "string",      "phone_number": "string",      "blocked": true,      "identifier": "string",      "thumbnail": "string",      "custom_attributes": {},      "last_activity_at": 0,      "created_at": 0,      "contact_inboxes": [        {          "source_id": "string",          "inbox": {            "id": 0,            "avatar_url": "string",            "channel_id": 0,            "name": "string",            "channel_type": "string",            "provider": "string"          }        }      ]    }  ]}